Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaObjectTable

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObjectTable

    public class XmlSchemaObjectTable

extends java.lang.Object

A collection class that provides read-only helpers for XmlSchemaObject objects. This class is used to provide the collections for contained elements that are within the schema as collections that are accessed from the XmlSchema class (for example, Attributes, AttributeGroups, Elements, and so on).

Constructor Summary
`XmlSchemaObjectTable()` Creates new XmlSchemaObjectTable

Method Summary
`void` | `add(javax.xml.namespace.QName name, XmlSchemaObject value)`
`boolean` | `contains(javax.xml.namespace.QName name)`
`int` | `getCount()`
`XmlSchemaObject` | `getItem(javax.xml.namespace.QName name)`
`java.util.Iterator` | `getNames()`
`java.util.Iterator` | `getValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlSchemaObjectTable

    public XmlSchemaObjectTable()

  Creates new XmlSchemaObjectTable

Method Detail

### getCount

    public int getCount()

### getItem

    public XmlSchemaObject getItem(javax.xml.namespace.QName name)

### getNames

    public java.util.Iterator getNames()

### getValues

    public java.util.Iterator getValues()

### contains

    public boolean contains(javax.xml.namespace.QName name)

### add

    public void add(javax.xml.namespace.QName name,
                    XmlSchemaObject value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.